library verilog;
use verilog.vl_types.all;
entity DSP_Coprocessor_MSS is
    port(
        FAB_CLK         : out    vl_logic;
        M2F_RESET_N     : out    vl_logic;
        MSSPSEL         : out    vl_logic;
        MSSPENABLE      : out    vl_logic;
        MSSPWRITE       : out    vl_logic;
        MSSPREADY       : in     vl_logic;
        MSSPSLVERR      : in     vl_logic;
        F2M_GPI_3       : in     vl_logic;
        F2M_GPI_2       : in     vl_logic;
        F2M_GPI_1       : in     vl_logic;
        F2M_GPI_0       : in     vl_logic;
        MSSPADDR        : out    vl_logic_vector(19 downto 0);
        MSSPRDATA       : in     vl_logic_vector(31 downto 0);
        MSSPWDATA       : out    vl_logic_vector(31 downto 0);
        UART_0_TXD      : out    vl_logic;
        UART_0_RXD      : in     vl_logic;
        MSS_RESET_N     : in     vl_logic
    );
end DSP_Coprocessor_MSS;
